Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:       nodejs-getobject
Version:    0.1.0
Release:    alt1_9
Summary:    Get and set deep objects easily
License:    MIT
URL:        https://github.com/cowboy/node-getobject
Source0:    http://registry.npmjs.org/getobject/-/getobject-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/getobject
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/getobject

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/getobject


%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_9
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt0.1.njs.bootstrap
- bootstrap

